Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GTCamBallLocator Class Reference

A solution of the BallLocator module. More...

`#include <GTCamBallLocator.h>`

Inheritance diagram for GTCamBallLocator:

[legend]
Collaboration diagram for GTCamBallLocator:

[legend]
List of all members.

## Public Member Functions
| GTCamBallLocator (const BallLocatorInterfaces &interfaces)
| Constructor.
virtual void | execute ()
| Executes the module.
virtual bool | handleMessage (InMessage &message)
| Called from a MessageQueue to distribute messages.
## Private Attributes
long | startTime
| Checks if the ball rolls by right or left of the robot.

## Detailed Description

A solution of the BallLocator module.

Author:
  Timo Diekmann

Definition at line 23 of file GTCamBallLocator.h.

## Constructor & Destructor Documentation

GTCamBallLocator::GTCamBallLocator | ( | const BallLocatorInterfaces & | interfaces | ) |

  | Constructor. Parameters:
  interfaces | The paramters of the BallLocator module.
Definition at line 63 of file GTCamBallLocator.cpp. References BallModel::ballWasSeen, SystemCall::getCurrentSystemTime(), BallModel::numberOfImagesWithBallPercept, and BallModel::numberOfImagesWithoutBallPercept.

Here is the call graph for this function:

## Member Function Documentation

void GTCamBallLocator::execute | ( |  | ) | `[virtual]`

| Executes the module. Reimplemented from Module. Definition at line 72 of file GTCamBallLocator.cpp. References BallState::ballInFrontOfOpponentGoal, BallModel::ballWasSeen, BallModel::communicated, CameraMatrix::frameNumber, BallModel::frameNumber, GTCamWorldState::getBallModel(), SystemCall::getCurrentSystemTime(), idText, INFO, BallModel::numberOfImagesWithBallPercept, BallState::positionField, BallState::positionRobot, BallModel::propagated, random(), BallModel::seen, BallState::setBallDataRelativeToRobot(), BallState::speedRobot, SeenBallState::timeUntilSeenConsecutively, SeenBallState::timeWhenFirstSeenConsecutively, SeenBallState::timeWhenLastSeen, Pose2D::translation, Vector2< double >::x, Vector2< V >::x, Vector2< double >::y, and Vector2< V >::y.

Here is the call graph for this function:

bool GTCamBallLocator::handleMessage | ( | InMessage & | message | ) | `[virtual]`

  | Called from a MessageQueue to distribute messages. Use message.getMessageID to decide if the message is relavant for the MesssageHandler derivate. Use message.bin, message.text or message.config as In streams to get the data from. Parameters:
  message | The message that can be read.
Returns: true if the message was read (handled). Reimplemented from Module. Definition at line 136 of file GTCamBallLocator.cpp.

## Member Data Documentation

long GTCamBallLocator::startTime`[private]`

| Checks if the ball rolls by right or left of the robot. Definition at line 41 of file GTCamBallLocator.h.

The documentation for this class was generated from the following files:

- Modules/BallLocator/GTCamBallLocator.h
- Modules/BallLocator/GTCamBallLocator.cpp